SfTransportChannelFactory (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.tcp.SfTransportChannelFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.tcp
Class SfTransportChannelFactory

    java.lang.Object
      org.codehaus.activemq.transport.TransportChannelFactorySupport
          org.codehaus.activemq.transport.tcp.TcpTransportChannelFactory
              org.codehaus.activemq.transport.tcp.SfTransportChannelFactory

All Implemented Interfaces:
  TransportChannelFactory

Direct Known Subclasses:
  SslTransportChannelFactory

public class SfTransportChannelFactory
extends TcpTransportChannelFactory

A factory of TcpTransportChannelFactory instances using a SocketFactory

Version:
  $Revision: 1.6 $

Constructor Summary
`SfTransportChannelFactory(SocketFactory socketFactory)`

Method Summary
`TransportChannel` | `create(WireFormat wireFormat, URI remoteLocation)` Create a Channel to a remote Node - e.g.
`TransportChannel` | `create(WireFormat wireFormat, URI remoteLocation, URI localLocation)` Create a Channel to a remote Node - e.g.
`protected Socket` | `createSocket(URI remoteLocation)`
`protected Socket` | `createSocket(URI remoteLocation, URI localLocation)`

Methods inherited from class org.codehaus.activemq.transport.tcp.TcpTransportChannelFactory
`requiresEmbeddedBroker`

Methods inherited from class org.codehaus.activemq.transport.TransportChannelFactorySupport
`populateProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SfTransportChannelFactory

    public SfTransportChannelFactory(SocketFactory socketFactory)

Method Detail

### create

    public TransportChannel create(WireFormat wireFormat,
                                   URI remoteLocation)
                            throws JMSException

  Create a Channel to a remote Node - e.g. a Broker

  Specified by:
    `create` in interface `TransportChannelFactory`
  Overrides:
    `create` in class `TcpTransportChannelFactory`
  Parameters:
    `wireFormat` -
    `remoteLocation` -
  Returns:
    the TransportChannel bound to the remote node
  Throws:
    `JMSException`

### create

    public TransportChannel create(WireFormat wireFormat,
                                   URI remoteLocation,
                                   URI localLocation)
                            throws JMSException

  Create a Channel to a remote Node - e.g. a Broker

  Specified by:
    `create` in interface `TransportChannelFactory`
  Overrides:
    `create` in class `TcpTransportChannelFactory`
  Parameters:
    `wireFormat` -
    `remoteLocation` -
    `localLocation` - - e.g. local InetAddress and local port
  Returns:
    the TransportChannel bound to the remote node
  Throws:
    `JMSException`

### createSocket

    protected Socket createSocket(URI remoteLocation)
                           throws IOException

  Throws:
    `IOException`

### createSocket

    protected Socket createSocket(URI remoteLocation,
                                  URI localLocation)
                           throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.